GNU bug report logs - #48842
[PATCH 0/6] gnu: Add python-myst-parser.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: patch; dated Sat, 5 Jun 2021 01:46:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:39 2021
Received: from localhost ([127.0.0.1]:54571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDK7-0002J8-B7
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:39 -0400
Received: from mout01.posteo.de ([185.67.36.65]:52759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDK2-0002Hv-DY
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:36 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id DFD0924002C
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:28 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064888; bh=2DY5T39e7rJWcroMq84M8PS6zUW+S2+HB+IZH5r3ww8=;
 h=From:To:Cc:Subject:Date:From;
 b=YT+h+8AiIR3y3Ycn8FQ6ChBQcSGSKURTsWl/+6JK55E8R2nwyMMHLXgRKAbXn5PK1
 JsA3iHxBTgDYYlmutqJhHzCTYpBVj0Mv2ENZjv2/DXILuq4RM+EIBWvgAcRZcDwn1Q
 ypwC92uffxuW6mnALwhRSjZ/tkwq9g1oVIo0J0iQqylpQT8zqdgIkkl3Cd+HItvrNU
 4Oo5zGzLNIdHvPaDapsKIjcTp0IWUDG/icB18DJg8sSL+t7evcvQU6ngawoXGpvzIj
 O3ySfOnuuz3QD3nwr8bIrVQNO7K4AYT39Xx19xe+L28CmwCNLq51MSxouMCjCRnXxM
 T6rRsJE2vOj3w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9tH4qQ9z9rxN;
 Mon,  7 Jun 2021 13:21:27 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 7/7] gnu: Add python-myst-parser.
Date: Mon,  7 Jun 2021 11:20:51 +0000
Message-Id: <20210607112051.214681-7-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/sphinx.scm (python-myst-parser): New variable.
---
Changed synopsis and description, and clarified the comment about why tests are skipped.

 gnu/packages/sphinx.scm | 55 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index 428a701d87..eefba27f00 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -45,6 +45,7 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages python-build)
+  #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
@@ -616,6 +617,60 @@ and several other projects.")
 (define-public python2-sphinx-rtd-theme
   (package-with-python2 python-sphinx-rtd-theme))
 
+(define-public python-myst-parser
+  (package
+    (name "python-myst-parser")
+    (version "0.14.0")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/myst-parser")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0s5lmhj1rb94na646klivzvzzhzpy03m5q9ixif9vg14yin3gm7s"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest"
+                       ;; Tests in this file fail with AssertionErrors related
+                       ;; to adding divs to the HTML tags:
+                       ;; E -   <section id="test">
+                       ;; E +   <div class="section" id="test">
+                       "--ignore" "tests/test_sphinx/test_sphinx_builds.py"
+                       ;; Another AssertionError:
+                       ;; E -     <hlist>
+                       ;; E +     <hlist ncolumns="2">
+                       "-k" "not test_sphinx_directives")))))))
+    (propagated-inputs
+     `(("python-docutils" ,python-docutils)
+       ("python-jinja2" ,python-jinja2)
+       ("python-markdown-it-py" ,python-markdown-it-py)
+       ("python-mdit-py-plugins"
+        ,python-mdit-py-plugins)
+       ("python-pyyaml" ,python-pyyaml)
+       ("python-sphinx" ,python-sphinx)))
+    (native-inputs
+     `(("python-beautifulsoup4" ,python-beautifulsoup4)
+       ("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/MyST-Parser")
+    (synopsis "Extended CommonMark-compliant parser")
+    (description
+     "MyST-parser is an extended CommonMark-compliant parser, with bridges to
+docutils and Sphinx.")
+    (license license:expat)))
+
 (define-public python-breathe
   (package
     (name "python-breathe")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:38 2021
Received: from localhost ([127.0.0.1]:54569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDK6-0002Iv-1K
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:38 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDK0-0002Ha-SG
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:33 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 5AD0C24002A
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:27 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064887; bh=DkCxr2LUQVgAtUZYpSCZVEXqUSE8Yvj/6g26APqrjLI=;
 h=From:To:Cc:Subject:Date:From;
 b=FMChEtF8PWOnUYJMDKJFd+7FlFd41dGrxlhfQnDWPbnZCLKM5eOzTdUPhj0bxQLXy
 G2WT99qo9/xa23B3w1VaOSZiQ68Ltr2EtFfgQJpfHJdsbXMEArvA9Lq7kjJFf/9OnV
 HP6ZPWdebE4evC+l9CP88DR5ZpjhlqkxsxYKGWcInYhnS9ulAeMSpbXFFpskdnrE0f
 sfNXp2YN2766fQWOrDHhwnXvVST4lQ70A3x9x0eyn99fxXq46or+pJgafwEI8GqxU0
 JcE6sT8V72opqMwxPrDJ5mO+qGSUyadOWyTjaf3piZD7e1vCmYK8x1kZzauigi4bxV
 KIuQNXuOZsqMw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9tG12Ybz9rxK;
 Mon,  7 Jun 2021 13:21:25 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 6/7] gnu: Add python-mdit-py-plugins.
Date: Mon,  7 Jun 2021 11:20:50 +0000
Message-Id: <20210607112051.214681-6-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-mdit-py-plugins): New variable.
---
Changed synopsis and description.

 gnu/packages/python-xyz.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 170eb15759..b01a7f5bb8 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7184,6 +7184,43 @@ parser in JavaScript), and some of its associated plugins.  Features:
 @end itemize")
     (license license:expat)))
 
+(define-public python-mdit-py-plugins
+  (package
+    (name "python-mdit-py-plugins")
+    (version "0.2.8")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/mdit-py-plugins")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0pq7cgzwb1gcbsdpdp51r3l6mnjdxc4hbfmwk6dy30pfa1lj6x1i"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-markdown-it-py" ,python-markdown-it-py)))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/mdit-py-plugins")
+    (synopsis "Collection of plugins for @code{python-markdown-it-py}")
+    (description "This package provides a collection of plugins for
+@code{python-markdown-it-py}.")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:38 2021
Received: from localhost ([127.0.0.1]:54567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDK5-0002In-Mw
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:37 -0400
Received: from mout02.posteo.de ([185.67.36.66]:55551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDK0-0002HZ-3y
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:32 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 0EF832400E5
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:25 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064886; bh=yuaK7hkp+vYeZYQLSj4GkxJZvrwlb7oYyug2kBRrTWs=;
 h=From:To:Cc:Subject:Date:From;
 b=RhRWB8TVpzJ9TwSrF1jl0+RltM8zeRmOy9Z8ieruYARjIrsRLDVep6pxXX7lpzZXT
 422rYQRtsvbo7nhmkqPWrolrvgWD95b7KCumJSID+jUJdIArjhDWlHp7bhxM9Ggl5y
 vKTgwMiVACBGvQukdfVeSXMEcAksTwUnk9La1TrvUHqUB9UFVF/nWt8AhM/lruxuA7
 EitUa02LW0vZVozI43VAxKFmyL3WBu8LczwsuLwnsQNcfR/icdTAcHxdQw0TNNlZV4
 lCP0hAtnqJ5/HwZLnx5tLM/H0u6FaPQc0TvgbJuGWeve56ZhsxbGkBg6QWeZwHf0h5
 r7+z4lUKa/k/w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9tD4G8zz9rxB;
 Mon,  7 Jun 2021 13:21:24 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 5/7] gnu: Add python-markdown-it-py.
Date: Mon,  7 Jun 2021 11:20:49 +0000
Message-Id: <20210607112051.214681-5-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-markdown-it-py): New variable.
---
Changed synopsis and description.

 gnu/packages/python-xyz.scm | 50 +++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d910d370e9..170eb15759 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7134,6 +7134,56 @@ content is only for the @code{linkify-it-py} project needs.")
 links recognition library with full unicode support.")
     (license license:expat)))
 
+(define-public python-markdown-it-py
+  (package
+    (name "python-markdown-it-py")
+    (version "1.1.0")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/markdown-it-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0h7rn3rcqfwmnqs97qczwkw9w5g4df8bgn6sw7k149svfqgrkf56"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-attrs" ,python-attrs)
+       ("python-typing-extensions"
+        ,python-typing-extensions)))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-linkify-it-py" ,python-linkify-it-py)
+       ("python-psutil" ,python-psutil)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-benchmark"
+        ,python-pytest-benchmark)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/markdown-it-py")
+    (synopsis "Markdown parser with CommonMark support")
+    (description "This is a Python port of @code{markdown-it} (a Markdown
+parser in JavaScript), and some of its associated plugins.  Features:
+
+@itemize
+@item Follows the CommonMark spec for baseline parsing.
+@item Configurable syntax: Add new rules and even replace existing ones.
+@item Pluggable: Adds syntax extensions to extend the parser.
+@item Safe by default.
+@end itemize")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:37 2021
Received: from localhost ([127.0.0.1]:54565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDK5-0002Ib-1L
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:37 -0400
Received: from mout02.posteo.de ([185.67.36.66]:58869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDJy-0002HW-8J
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:30 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 6F34A2400E5
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:24 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064884; bh=2X0GBFLWVmiqp8SgJ7HZeniTmVU7eM7P+Os19EupZ4c=;
 h=From:To:Cc:Subject:Date:From;
 b=dWTu0LeymSdHtCrEYGDWdjHGC2IdPngegiURVabj7IPIzNyD4K96sOV3a19Kcz9nh
 BkFVYibR56Yr2hmAZSqD6koceiz6qYKOFxVYIh7evh6SsXJV/NEzkSwwzRTDLDKHQn
 8hVUtqWkQHNw1z2/WwEPhicoeHUWFFGOfuKodhb3r+/qXZxf0gibpAin9x6JuZbk4X
 uha/tb1fxH14sGop75uso6w2P1YzddaYKUJnq2fLQPRjXWpvwL9zZ94vw2a4mV4O6Y
 3XxsCLY6xUJxtlM9l2xunnTk2y6pV0WkEgfEKd9NFQUNmLk9VDGW7mD8nbknv7/xEH
 k+aGRbViXw3Hg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9tC0VBfz9rxG;
 Mon,  7 Jun 2021 13:21:22 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 4/7] gnu: Add python-linkify-it-py.
Date: Mon,  7 Jun 2021 11:20:48 +0000
Message-Id: <20210607112051.214681-4-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-linkify-it-py): New variable.
---
Changed description.

 gnu/packages/python-xyz.scm | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 0292fdcdfb..d910d370e9 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7096,6 +7096,44 @@ cluster without needing to write any wrapper code yourself.")
 content is only for the @code{linkify-it-py} project needs.")
     (license license:expat)))
 
+(define-public python-linkify-it-py
+  (package
+    (name "python-linkify-it-py")
+    (version (package-version python-uc-micro-py))
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/tsutsu3/linkify-it-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "00r4sxgvlxkm5k2jwvrsxgzcccfkfzd0knypbcig5almisg7bpl1"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-uc-micro-py" ,python-uc-micro-py)))
+    (native-inputs
+     `(("python-black" ,python-black)
+       ("python-coverage" ,python-coverage)
+       ("python-flake8" ,python-flake8)
+       ("python-isort" ,python-isort)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/tsutsu3/linkify-it-py")
+    (synopsis "Links recognition library with full unicode support")
+    (description "This is a Python port of @code{linkify-it}, a JavaScript
+links recognition library with full unicode support.")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:37 2021
Received: from localhost ([127.0.0.1]:54562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDK2-0002IR-HR
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:36 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDJw-0002HT-9M
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id B6DDA24002B
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064882; bh=suqpMETgI8D5JTsGLekQ2b6MotySBZo/eZI5JX2gPXw=;
 h=From:To:Cc:Subject:Date:From;
 b=lEh29/gmeGrK5UZfEarTTblfQ/ZRU//p0m18WCEmI0TjjL3rjADZ+qe7DcimaBDrj
 Q3Jyb+S9oKJ7y5yJcOmGFC6ff9ABWepAb2fgNegZ+HAmGsP2oye9NS8UsK2XUNuFWf
 4vjQD3mBVIZZyTFFKw88m5la5C85nTN/oPHjfvXWPBFfmd9gOcLL/Mcx03RJuWGIYS
 76TVdE8R1iqosRfiJX3ktLIuqLrngjP/I/s/Ryi8E2GhOa1vmwMf+L3Kcyn4GPHz1x
 n2sDIgDLk+5faRpTHb08zsrV8StMUPNHALlIaZdKOG8M5xMsNPk5cpQEmMzLNJy7q8
 nCipg+qJiZKNg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9t93ftfz9rxG;
 Mon,  7 Jun 2021 13:21:21 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 3/7] gnu: Add python-uc-micro-py.
Date: Mon,  7 Jun 2021 11:20:47 +0000
Message-Id: <20210607112051.214681-3-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-uc-micro-py): New variable.
---
Split this patch into two. Added a comment on the top of the definition. Changed synopsis and description.

 gnu/packages/python-xyz.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b63c2852d5..0292fdcdfb 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7061,6 +7061,41 @@ cluster without needing to write any wrapper code yourself.")
 (define-public python2-gridmap
   (package-with-python2 python-gridmap))
 
+;; This package's only purpose is to support python-linkify-it-py.  Both
+;; have to be updated at the same time by updating this one.
+(define python-uc-micro-py
+  (package
+    (name "python-uc-micro-py")
+    (version "1.0.1")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/tsutsu3/uc.micro-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "17f55gi55rg47nm88fn3f8851ph03dgykdp011lxr3j6hk18lyfv"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/tsutsu3/uc.micro-py")
+    (synopsis "Data files for @code{python-linkify-it-py}")
+    (description "This is a Python port of @code{uc.micro}.  This package's
+content is only for the @code{python-linkify-it-py} project needs.")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:34 2021
Received: from localhost ([127.0.0.1]:54557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDJx-0002Hy-SA
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:34 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDJu-0002HO-Aa
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id E2E03240029
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:19 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064879; bh=bpg8io0MNyXqlXbOJGqoHQZcRvnh/I63dQBjXZlstF4=;
 h=From:To:Cc:Subject:Date:From;
 b=mvCnlvjyGr/uzsyNIzOp6GhIC9JhDY0hB2/8Sh0DzzDQRQPzD8uUCHaPGBkHMtdKM
 p2CeJIPCAGuUZJkGcrT6jJu0vTS+SyJhIev9tilzlKpMBMu1N/Lb9/wF+Ctf9NGna3
 WPTEfD+AYFX8pX5Z5xsK+rgvM1rVv7KdoXMcT/jbOVhj1SgounGUS4wTGDw8h1miMF
 naXFJZjPG66uVD3t5CcCdWAzKMyBqmQPGzbsR/BuxPkDxVqyLw/XYBix0ohCQ2b+u2
 O3PWCOsKGWcC/lPWGOPjAS23uACfWgBkBidiFXJbqeAK59DNjKyWqAUVC/VjNOruhJ
 IxafhUgjqQIEA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9t62DrXz9rxB;
 Mon,  7 Jun 2021 13:21:17 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 1/7] gnu: Add python-pytest-datadir.
Date: Mon,  7 Jun 2021 11:20:45 +0000
Message-Id: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-check.scm (python-pytest-datadir): New variable.
---
Changed synopsis and description.

 gnu/packages/python-check.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 1206dda5c4..3bdd11d4f5 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -882,6 +882,36 @@ framework.")
 for the @code{pytest} framework.")
     (license license:expat)))
 
+(define-public python-pytest-datadir
+  (package
+    (name "python-pytest-datadir")
+    (version "1.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-datadir" version))
+       (sha256
+        (base32 "066bg6wlzgq2pqnjp73dfrcmk8951xw3aqcxa3p1axgqimrixbyk"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-pathlib2" ,python-pathlib2)))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-setuptools-scm" ,python-setuptools-scm)))
+    (home-page "https://github.com/gabrielcnr/pytest-datadir")
+    (synopsis "Pytest plugin to manipulate test data directories and files")
+    (description "This package provides a Pytest plugin for manipulating test
+data directories and files.")
+    (license license:expat)))
+
 (define-public python-pytest-benchmark
   (package
     (name "python-pytest-benchmark")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 7 Jun 2021 11:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 07:21:29 2021
Received: from localhost ([127.0.0.1]:54555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqDJx-0002Hw-Jd
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:29 -0400
Received: from mout02.posteo.de ([185.67.36.66]:33729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lqDJv-0002HQ-JC
 for 48842 <at> debbugs.gnu.org; Mon, 07 Jun 2021 07:21:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 720A92400FD
 for <48842 <at> debbugs.gnu.org>; Mon,  7 Jun 2021 13:21:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1623064881; bh=aoC4QGsWFR+y2XQt+uOZ+9ckDzlsI6Mkq87fzVIguxc=;
 h=From:To:Cc:Subject:Date:From;
 b=k4krOa7y8IRintNq1rXVmudO99UpI2iIau6GKMJIlOSeP2yyJzngyUgw5husd3bKh
 aGrpEKhRA5lH5+P93BXhKvTc5UmB5ZAnUZPm8JtbnLzfSCn7K/qt1qPrwkbfEJ+kSO
 GIntm20GykjA7UfYd3yk6g+qC9zK4sTyPMwZF+Ytd5S8XpqMvh8ZGfeVt6fp+dDw7f
 ATpdYFW5HvzzvKjUin0ngNj7y3Im3NWTxJ6Q4sN+d+5jIaJVTnpOS5Ze7b7xQl/pmK
 xSO5Mo8f8iO55kzsMZ8fzc1CoJxkR/HPJPAai/zTA4TkHY5eyBjae8nhLGsP3yNf6A
 SqorPQn0y8Q+A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Fz9t76W9Vz9rxG;
 Mon,  7 Jun 2021 13:21:19 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH v2 2/7] gnu: Add python-pytest-regressions.
Date: Mon,  7 Jun 2021 11:20:46 +0000
Message-Id: <20210607112051.214681-2-monego@HIDDEN>
In-Reply-To: <20210607112051.214681-1-monego@HIDDEN>
References: <20210607112051.214681-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-check.scm (python-pytest-regressions): New variable.
---
Rebasing only.

 gnu/packages/python-check.scm | 43 +++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 3bdd11d4f5..7c8e6546a2 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -35,9 +35,11 @@
   #:use-module (gnu packages django)
   #:use-module (gnu packages openstack)
   #:use-module (gnu packages python-build)
+  #:use-module (gnu packages python-science)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages sphinx)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -912,6 +914,47 @@ for the @code{pytest} framework.")
 data directories and files.")
     (license license:expat)))
 
+(define-public python-pytest-regressions
+  (package
+    (name "python-pytest-regressions")
+    (version "2.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-regressions" version))
+       (sha256
+        (base32 "05jpsvv8rj8i4x24fphpnar5dl4s6d6bw6ikjk5d8v96rdviz9qm"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest"
+                       ;; DeprecrationWarning.
+                       "-k" "not test_image_regression")))))))
+    (propagated-inputs
+     `(("python-pytest-datadir" ,python-pytest-datadir)
+       ("python-pyyaml" ,python-pyyaml)))
+    (native-inputs
+     `(("python-matplotlib" ,python-matplotlib)
+       ("python-numpy" ,python-numpy)
+       ("python-pandas" ,python-pandas)
+       ("python-pillow" ,python-pillow)
+       ("python-pytest" ,python-pytest)
+       ("python-restructuredtext-lint"
+        ,python-restructuredtext-lint)
+       ("python-setuptools-scm" ,python-setuptools-scm)))
+    (home-page "https://github.com/ESSS/pytest-regressions")
+    (synopsis "Easy to use fixtures to write regression tests")
+    (description
+     "This Pytest plugin makes it simple to test general data, images, files,
+and numeric tables by saving expected data in a data directory that can be
+used to verify that future runs produce the same data.")
+    (license license:expat)))
+
 (define-public python-pytest-benchmark
   (package
     (name "python-pytest-benchmark")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 13:37:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 09:37:44 2021
Received: from localhost ([127.0.0.1]:48499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpWUi-0004AI-24
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:37:44 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54258
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lpWUf-0004A2-6Z
 for 48842 <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:37:42 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622900253;
 bh=QobTRH6Owv0zTkULnq3EZ9AeE93PlfJcFRu2L3uH8Ts=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=GKVER/J3RQ84Gb01uqzafXD+kI89bJRhxqLeEhYFR2LttPHrZoezk7mku0J3dUbgH
 QAH3ramV84ps1KcnLT2veeOZZowQ7ia1OB2dXB7mHW2Kl02x+RWw2qPqHKk7xE7OYQ
 zixWoaFw5wnXMxcXfMOfMFzA9U9goAHtu56s9YvA=
To: Vinicius Monego <monego@HIDDEN>, 48842 <at> debbugs.gnu.org
Subject: Re: [bug#48842] [PATCH 6/6] gnu: Add python-myst-parser.
In-Reply-To: <20210605014655.18459-6-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
 <20210605014655.18459-6-monego@HIDDEN>
Date: Sat, 05 Jun 2021 15:37:32 +0200
Message-ID: <87r1hg8mar.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Jun 05 2021,
 Vinicius Monego wrote: > * gnu/packages/sphinx.scm
 (python-myst-parser): New variable. > --- > gnu/packages/sphinx.scm | 53
 +++++++++++++++++++++++++++++++++++++++++ > 1 file changed, 53 insertions(+)
 > > diff --git a/gnu/p [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Jun 05 2021, Vinicius Monego wrote: > * gnu/packages/sphinx.scm
    (python-myst-parser): New variable. > --- > gnu/packages/sphinx.scm | 53
   +++++++++++++++++++++++++++++++++++++++++ > 1 file changed, 53 insertions(+)
    > > diff --git a/gnu/p [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Jun 05 2021, Vinicius Monego wrote:

> * gnu/packages/sphinx.scm (python-myst-parser): New variable.
> ---
>  gnu/packages/sphinx.scm | 53 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 53 insertions(+)
>
> diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
> index 14bc3f5a79..7ec0afae8b 100644
> --- a/gnu/packages/sphinx.scm
> +++ b/gnu/packages/sphinx.scm
> @@ -44,6 +44,7 @@
>    #:use-module (gnu packages image)
>    #:use-module (gnu packages imagemagick)
>    #:use-module (gnu packages python-build)
> +  #:use-module (gnu packages python-check)
>    #:use-module (gnu packages python-crypto)
>    #:use-module (gnu packages python-web)
>    #:use-module (gnu packages python-xyz)
> @@ -603,6 +604,58 @@ and several other projects.")
>  (define-public python2-sphinx-rtd-theme
>    (package-with-python2 python-sphinx-rtd-theme))
>=20=20
> +(define-public python-myst-parser
> +  (package
> +    (name "python-myst-parser")
> +    (version "0.14.0")
> +    (source
> +     (origin
> +       ;; There are no tests in the PyPI tarball.
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/executablebooks/myst-parser")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "0s5lmhj1rb94na646klivzvzzhzpy03m5q9ixif9vg14yin3gm7s"))=
))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (replace 'check
> +           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
> +             (when tests?
> +               (add-installed-pythonpath inputs outputs)
> +               (invoke "python" "-m" "pytest"
> +                       ;; Tests fail with AssertionErrors like these:
> +                       ;; E -   <section id=3D"test">
> +                       ;; E +   <div class=3D"section" id=3D"test">
> +                       "--ignore" "tests/test_sphinx/test_sphinx_builds.=
py"
> +                       ;; E -     <hlist>
> +                       ;; E +     <hlist ncolumns=3D"2">
> +                       "-k" "not test_sphinx_directives")))))))

Maybe this is because our =E2=80=98python-sphinx=E2=80=99 package is outdat=
ed?  Just a
guess.

> +    (propagated-inputs
> +     `(("python-docutils" ,python-docutils)
> +       ("python-jinja2" ,python-jinja2)
> +       ("python-markdown-it-py" ,python-markdown-it-py)
> +       ("python-mdit-py-plugins"
> +        ,python-mdit-py-plugins)
> +       ("python-pyyaml" ,python-pyyaml)
> +       ("python-sphinx" ,python-sphinx)))
> +    (native-inputs
> +     `(("python-beautifulsoup4" ,python-beautifulsoup4)
> +       ("python-coverage" ,python-coverage)
> +       ("python-pytest" ,python-pytest)
> +       ("python-pytest-cov" ,python-pytest-cov)
> +       ("python-pytest-regressions"
> +        ,python-pytest-regressions)))
> +    (home-page "https://github.com/executablebooks/MyST-Parser")
> +    (synopsis "Extended commonmark compliant parser")
> +    (description
> +     "An extended commonmark compliant parser, with bridges to docutils =
and
> +Sphinx.")

Full sentence.  :)

Builds fine for me!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmC7fhwVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5+egP/09kvta4ya/FGyCSV7Cn41gDTdu7
V6M5Op6mDRTWM1/JErcTGdQv1J7ePf1tB76Gn1CzvWzw6CGOWh1aM8pFVbEAIbV3
tssXpgP+3R7JdS8aJLJVDyUaGGHD3QTTrgMkdI++VTfzW1jfSfw/Oag1uDfoOVNo
w8PMZ3PkDwntTW3NkbdOjuktberneYU/AhLOhA22cqHBM46aEzX6Ulx6CdRSn1aC
bul6E5lmtV/MQw7+yQb91b/MVpMvQNBS5kwaMwe+GNNhZKrLSrFOpALl9zKWnDx5
pBkYf3kk0iMvlRVp7qCHBNrwU7BOWUujlbrpyZP/nm9ZiP5PcJv5raqplnuhG8hT
V5KQOK40fMnf9k7Wg+Vc9gmQdzzpkF8WOc51JYzTeJcMZDTe2hrvApDcByZ3xqaG
L+1kfFyvQKFCD/GTa2/eRfp/IRMw8qgCSk/lSnepf1tTgcio8SW1z2dfWcx5aBSG
i0WsRCA1XJI5SjswoV4sisvN13+TIBLsAuUhtVfLyz6e6UlYQWCKbMUDAB2KtsSO
tcd0qN8q80+NcyCvjwxNWFcj30usz7b3jyEVd8hIFdpjVMUGa2pR4Abq62vCJfvu
HtpOSq97VgjUot+rQ4c+sIiO7N1PkZTSx8flQJiy6dvUkPwG+Bk6DTdstn7GvTUG
kdCi40x90v2nEhqi
=qQ+i
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 13:27:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 09:27:57 2021
Received: from localhost ([127.0.0.1]:48494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpWLB-0003vX-9a
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:27:57 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54046
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lpWL0-0003v3-Qu
 for 48842 <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:27:46 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622899657;
 bh=aoOw/PIk/hfaqnyzWF5HNI+2+p53yw0d07S7/KOF2CE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=JMUSf3crd1q0lkqDSbnaoVydbcdMYiNcpKsB3+ticXEBxaO9AYn8zQ44rWguH8XdZ
 tI2vDdmqIA1zuyq8Nqo4UlSn5Lxz64QPmbRHfW7fWAlLkaf/JmExWxtPdBwn8/G1gA
 TWUAtPOOWyfbcZa9oDupjE5mete99MxpHenJGHGU=
To: Vinicius Monego <monego@HIDDEN>, 48842 <at> debbugs.gnu.org
Subject: Re: [bug#48842] [PATCH 5/6] gnu: Add python-mdit-py-plugins.
In-Reply-To: <20210605014655.18459-5-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
 <20210605014655.18459-5-monego@HIDDEN>
Date: Sat, 05 Jun 2021 15:27:36 +0200
Message-ID: <87v96s8mrb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Jun 05 2021,
 Vinicius Monego wrote: > * gnu/packages/python-xyz.scm
 (python-mdit-py-plugins): New variable. > --- > gnu/packages/python-xyz.scm
 | 37 +++++++++++++++++++++++++++++++++++++ > 1 file changed, 37 insertions(+)
 > > diff --git [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Jun 05 2021, Vinicius Monego wrote: > * gnu/packages/python-xyz.scm
    (python-mdit-py-plugins): New variable. > --- > gnu/packages/python-xyz.scm
    | 37 +++++++++++++++++++++++++++++++++++++ > 1 file changed, 37 insertions(+)
    > > diff --git [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sat, Jun 05 2021, Vinicius Monego wrote:

> * gnu/packages/python-xyz.scm (python-mdit-py-plugins): New variable.
> ---
>  gnu/packages/python-xyz.scm | 37 +++++++++++++++++++++++++++++++++++++
>  1 file changed, 37 insertions(+)
>
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index fd7b1dd5f1..d357a92474 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -7150,6 +7150,43 @@ plugins.  Features:
>  @end itemize")
>      (license license:expat)))
>=20=20
> +(define-public python-mdit-py-plugins
> +  (package
> +    (name "python-mdit-py-plugins")
> +    (version "0.2.8")
> +    (source
> +     (origin
> +       ;; There are no tests in the PyPI tarball.
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/executablebooks/mdit-py-plugins")
> +             (commit (string-append "v" version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "0pq7cgzwb1gcbsdpdp51r3l6mnjdxc4hbfmwk6dy30pfa1lj6x1i"))=
))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (replace 'check
> +           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
> +             (when tests?
> +               (add-installed-pythonpath inputs outputs)
> +               (invoke "python" "-m" "pytest")))))))
> +    (propagated-inputs
> +     `(("python-markdown-it-py" ,python-markdown-it-py)))
> +    (native-inputs
> +     `(("python-coverage" ,python-coverage)
> +       ("python-pytest" ,python-pytest)
> +       ("python-pytest-cov" ,python-pytest-cov)
> +       ("python-pytest-regressions"
> +        ,python-pytest-regressions)))
> +    (home-page "https://github.com/executablebooks/mdit-py-plugins")
> +    (synopsis "Collection of plugins for markdown-it-py")
> +    (description
> +     "Collection of plugins for markdown-it-py.")

Please write a full sentence.


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmC7e8gVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5k+cP/3zkoFsPT2LAA8PvjCbNml/MDi9O
G++VS6LUvQp8GwD97lOinwFsCwgRiXEDdZAylOXlIWDAo0b9CvtgyQKqkrI8Ls1Y
ajOxiyb4DCJ1qXGS8vF3OYAVmowGS1+HDHyvTPZ/7pkAss/Kf5bnKTxGuXCLzC4o
raiKpteJpsSNxql/SZJVcJyiFK42acFJarWvrKUhsc8zFLnNOQkQttWBBpr1j1rP
LFhDiJUkw+kAk8Or8OH7fbp3V+2Edlny8EeRWgtP0GgOBZNpmFbIY3EBNLHrmXkf
JCyNzJjbtynDSr0aj+Q6utrQtp8OIiSnU0IBTEbJROtYoJCc2zgCwwJRYYA6eL6C
DtWQvFKVTABNiprrxaJGM9xsoRFJcXeYxWZHUSIDUvlvwifozwD8RGzKMESa+63A
MNX4U0YOvXbj1aBEUwipoB1O/ZckUfvsJy/yu0ef28CwDjFE5dECbDXlJ1LjTbbJ
uQJ2rU49NMSg8+9GNPD0ogz8cQ66VSiPopUKZxtMpiEDjXzDa13bVj+bbAnVBiiz
P3nGyotxKdl1K2LAV+79jpqikoqtObnVbbZYqBXhZPGgFru0HE6ZWPQmap9VaW6O
iqDQjda7E/45bl1km+bjrwu69js2cnIk/00gmkWUKtfXHdPKZCA3MCOJ42m2tnCc
MfULemqbLRgHffYs
=bt2z
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 13:27:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 09:27:53 2021
Received: from localhost ([127.0.0.1]:48491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpWKw-0003vB-MI
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:27:53 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:54038
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lpWKr-0003ut-CI
 for 48842 <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:27:37 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622899647;
 bh=SdpO/zbQlwAHE8wK96C0vl2ezqhD/KnFrncjujyRStg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=aSOffcdB9lZVrDqo7KI8Qt5jpcEil4GzUPTefMvYu6YK43Qg7bC4jqd7xN+0gyYYz
 +5bb2ME+gSSsytD007Tf1bnaKgu06nO5qoll0qHaVzI1onq+TLcCuepuLZUNNFBIGY
 4mXWfchwYMkpFyz31zkS7GJpNmk9MT116oMpLl6k=
To: Vinicius Monego <monego@HIDDEN>, 48842 <at> debbugs.gnu.org
Subject: Re: [bug#48842] [PATCH 3/6] gnu: Add python-linkify-it-py.
In-Reply-To: <20210605014655.18459-3-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
 <20210605014655.18459-3-monego@HIDDEN>
Date: Sat, 05 Jun 2021 15:27:27 +0200
Message-ID: <87wnr88mrk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Jun 05 2021,
 Vinicius Monego wrote: > * gnu/packages/python-xyz.scm
 (python-linkify-it-py, python-uc-micro-py): New variables. This should be
 split into two separate patches. Also, since these two packages seem closely
 related, it might be a good idea to put a comment saying that both should
 be updated at the same time. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Jun 05 2021, Vinicius Monego wrote: > * gnu/packages/python-xyz.scm
    (python-linkify-it-py, python-uc-micro-py): New variables. This should be
    split into two separate patches. Also, since these two packages seem closely
    related, it might be a good idea to put a comment saying that both should
    be updated at the same time. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

On Sat, Jun 05 2021, Vinicius Monego wrote:

> * gnu/packages/python-xyz.scm (python-linkify-it-py, python-uc-micro-py): New variables.

This should be split into two separate patches.  Also, since these two
packages seem closely related, it might be a good idea to put a comment
saying that both should be updated at the same time.


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmC7e78VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5JV0P/A17QCBI/RZCZuE8y/F7I5JDrIfP
BV6VHvG417XmW0WGafDgblvd+xlWD6FEzUPvq3D41etgqWm8FisO+aQfgeIvmwjg
j1nSMf5OleQKFCexyMqCr4lBPRJ+m10vYInOWPXyUfa0jTXyp/JBHH2iDdKbK8SC
8X7t5pCNKhzxgr/OhNlB+P/N2Pkg/J8BGWLoY/UiU4w1ERM4qGjdhDt0DYdSVtRM
6wgbI6jdPtmKAfVV6D7DF1+NdyIpt+U7VKS3C22ax9idwE3SvFlLsh1DLSmUOU9B
FBgGbaZK2lgYyCquMm1zy9lxJh2XEh8l0+1MPEH5GOauS8y40iRbsmyw0zJmivH9
IDWC2uvIiIC0m28UbvDMx+dHULHQLpw6H1tRi3xq5WcAdjoTdzHqmAYKjlSjaqq4
UTYOxFCsfUtEGqt5w7XbLWD+EVlpu13FeEMfwP08x6QzImnf04ZTeq53rSA46deM
BwLFk8yOaTS3j+J6p3wo2KtqLnmzfJoEEKjSpd2u8wOJc3VHh5P6vmDaStVv+LdN
nCnQWA3cRoGTFSllpk/4pCTT3GZmNy2Zsmo41Ym5NcjpmoyryT+aSZNmp1xKDBST
QIaIg9S3kMppOnEKfvdRqwNTADeFISO65oElrl7WcLyj/D8ecCX8fF82HtrEtdBT
vHB1aNVMa4DxMHg3
=YQGo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 13:25:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 09:25:26 2021
Received: from localhost ([127.0.0.1]:48487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpWIk-0003sL-Fm
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:25:26 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:53982
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lpWIe-0003ry-Ks
 for 48842 <at> debbugs.gnu.org; Sat, 05 Jun 2021 09:25:21 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622899508;
 bh=ZuU1SQXSE1UpHMoc7Q9cyNkOvLEqZcH/KUc78LL3tLg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=h8RFiZ/HKEuQq1DpOyArYOfdCR+vYhoA3J2LI/IfD8e131vV5FgI9E81ZyinHcPb0
 KjWd7Y/uRuyXXd/40O/kvuSkkYSh924HK8THYKkUCfgL/ZToF6qexSWWCpgbkxZcV6
 yDndIlVU5qjIMVLauzZu+YcoiWGQiJRdaRF87ZIU=
To: Vinicius Monego <monego@HIDDEN>, 48842 <at> debbugs.gnu.org
Subject: Re: [bug#48842] [PATCH 1/6] gnu: Add python-pytest-datadir.
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014517.18212-1-monego@HIDDEN>
 <20210605014655.18459-1-monego@HIDDEN>
Date: Sat, 05 Jun 2021 15:24:53 +0200
Message-ID: <871r9ga1ga.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Jun 05 2021, Vinicius Monego wrote: > +(define-public
 python-pytest-datadir > + (package > + (name "python-pytest-datadir") > +
 (version "1.3.1") > + (source > + (origin > + (method url-fetch) > + (uri
 (pypi-uri "pytest-datadir" version [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Jun 05 2021, Vinicius Monego wrote: > +(define-public
    python-pytest-datadir > + (package > + (name "python-pytest-datadir") > +
    (version "1.3.1") > + (source > + (origin > + (method url-fetch) > + (uri
    (pypi-uri "pytest-datadir" version [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

On Sat, Jun 05 2021, Vinicius Monego wrote:

> +(define-public python-pytest-datadir
> +  (package
> +    (name "python-pytest-datadir")
> +    (version "1.3.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "pytest-datadir" version))
> +       (sha256
> +        (base32 "066bg6wlzgq2pqnjp73dfrcmk8951xw3aqcxa3p1axgqimrixbyk"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (replace 'check
> +           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
> +             (when tests?
> +               (add-installed-pythonpath inputs outputs)
> +               (invoke "python" "-m" "pytest")))))))
> +    (propagated-inputs
> +     `(("python-pathlib2" ,python-pathlib2)))
> +    (native-inputs
> +     `(("python-pytest" ,python-pytest)
> +       ("python-setuptools-scm" ,python-setuptools-scm)))
> +    (home-page "https://github.com/gabrielcnr/pytest-datadir")
> +    (synopsis "Pytest plugin for test data directories and files")
> +    (description
> +     "Pytest plugin for test data directories and files.")

The description should consist of one or more full sentences.


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmC7eyUVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5R28QAICYZ/8KzibLzdy+4SijY2fMe1sQ
CScPwzlQ6lLGGgLB0/LuZBXktFDzGicpQTq4k20JFbsPM0YzVTK6OGsIyvlL8pAr
ZgZYXBSAOuuNJ8op2MbMklrn9WKO76Loz3pPqQ1C4Ij3pkt/hnQIO9cPV6xOzomz
bLXNgWebJndOJ2zYxRGUoxgb8sRoTfirSVnl5G7f6o71tAgFBLvCmZZkZ6zqpqVW
Oe3lIJTKxxMrc3oW3Gp+Y23w3ORm15XDa0N0Fsyd3zWpcBIqikNvWuXvc63+Eua3
9mmWhmmmymHK+YWRBZz0Q7BdkQXwNGTSSU524PFruwV3o5nIPNiQ3Uh+o8G7XSOy
9mrmvgd7Enysr1oDpIzS9PbRBxyBlkEqvqYx4PhozjL3JRA6QsvJUadofZ54qjpG
QUQzTE7Dc+/7buYnLpUNRQNOYDJEh579F+OZol4jbpLaZ6cJisv/scBpSoeq3SXe
aKDvtmaUMmzItiOWTFmDbYQU1WsFUeWOur2Tz6OraUEWx7R7ByaFXD1DR2vOO3Rb
nVjdp1AbyVXz5a2ySb/RHd0BxYDLPjAbeDE2CYdRcLsgexC8ifEb1ua7wLMdYdie
Fog66s5KJNxHQFZssfhjSLemgy5IbvgtqxEjLteB1ZOGQxig/GquxV3Cb268cdqA
AZ7yWGFtkEmr0nub
=+wR3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:36 2021
Received: from localhost ([127.0.0.1]:48119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPU-0007pI-H2
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:36 -0400
Received: from mout01.posteo.de ([185.67.36.65]:57917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPS-0007oP-6R
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:35 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 90C10240026
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:28 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857648; bh=dy0iyRvhvJZn5du+ecVdEQFJbdbiPKbc6rg7/Zs0ZJg=;
 h=From:To:Cc:Subject:Date:From;
 b=YPqEGBWFj0YJYkkDXDBzoVggVKT+8mnrfmcqic6MEXwNNPQDvZFhXVsPOtMrddPgi
 iOA/csVErPwLWDPFZutcFyVh9ZPVqkVOy+OwoQTbGq3UNaRM6zpMl8vXN7dkDjXCSz
 MYHWqTKzOmDYkoiK6y6YikoGYOg5JUo04JgltpP0tbiSNvYiiGSa5GKnB3zXZK6I3H
 7BechsB3EkmhP8N627thVBmemOYRfm/oV8gkOOqfpQ9Vzp61DosiAJy6X+eL9Olax7
 B8p6YLZD9XmCQgMsyjtO8s3SxEtl5KbQBZn2m/uXgvVbu/a4vAXM4L0rib4DQ0TpB5
 w/KBnImRmr+VA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDv2VMWz9rxB;
 Sat,  5 Jun 2021 03:47:27 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 6/6] gnu: Add python-myst-parser.
Date: Sat,  5 Jun 2021 01:46:55 +0000
Message-Id: <20210605014655.18459-6-monego@HIDDEN>
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/sphinx.scm (python-myst-parser): New variable.
---
 gnu/packages/sphinx.scm | 53 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/gnu/packages/sphinx.scm b/gnu/packages/sphinx.scm
index 14bc3f5a79..7ec0afae8b 100644
--- a/gnu/packages/sphinx.scm
+++ b/gnu/packages/sphinx.scm
@@ -44,6 +44,7 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages python-build)
+  #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
@@ -603,6 +604,58 @@ and several other projects.")
 (define-public python2-sphinx-rtd-theme
   (package-with-python2 python-sphinx-rtd-theme))
 
+(define-public python-myst-parser
+  (package
+    (name "python-myst-parser")
+    (version "0.14.0")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/myst-parser")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0s5lmhj1rb94na646klivzvzzhzpy03m5q9ixif9vg14yin3gm7s"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest"
+                       ;; Tests fail with AssertionErrors like these:
+                       ;; E -   <section id="test">
+                       ;; E +   <div class="section" id="test">
+                       "--ignore" "tests/test_sphinx/test_sphinx_builds.py"
+                       ;; E -     <hlist>
+                       ;; E +     <hlist ncolumns="2">
+                       "-k" "not test_sphinx_directives")))))))
+    (propagated-inputs
+     `(("python-docutils" ,python-docutils)
+       ("python-jinja2" ,python-jinja2)
+       ("python-markdown-it-py" ,python-markdown-it-py)
+       ("python-mdit-py-plugins"
+        ,python-mdit-py-plugins)
+       ("python-pyyaml" ,python-pyyaml)
+       ("python-sphinx" ,python-sphinx)))
+    (native-inputs
+     `(("python-beautifulsoup4" ,python-beautifulsoup4)
+       ("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/MyST-Parser")
+    (synopsis "Extended commonmark compliant parser")
+    (description
+     "An extended commonmark compliant parser, with bridges to docutils and
+Sphinx.")
+    (license license:expat)))
+
 (define-public python-breathe
   (package
     (name "python-breathe")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:34 2021
Received: from localhost ([127.0.0.1]:48116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPS-0007oz-99
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:34 -0400
Received: from mout01.posteo.de ([185.67.36.65]:43317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPQ-0007oA-Kz
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:32 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1103C240026
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:27 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857647; bh=Ldi1YqR0xAid564kUiY2Dar25zNAdJmxuOCiYLCdrkg=;
 h=From:To:Cc:Subject:Date:From;
 b=PBGFN74TeCWWl19fqgHqDZ34aPEYbZwkZAuj+NZJaPJDE9eYPqF8P1uskvwK09j3G
 +KSOIl4JD2bbl73BtsyzmqW1DjPn42dxtDKUq39SRFmeF170cDHd1eEfnjC5Kt8CvU
 3KaQCWEBu1pjO4afZ0BgbZhCqLA/0UulPs32Ii3UM9wk4nW5h7Py3vSbBhsbdq/GAK
 Rw3L3lckbzQUdzRY73Lbrqii+P16Z3jR9Jj1Zvj8umfGtaTRHKLgx5ZOPpWzANUTXm
 HX7MXhbEOib+QZTX/tieu2GxZBQlZ68aWh7QznofkZf4Le+UCYaLcgp12kl+yavdqF
 2AczzTg/W1y+Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDs5t5Sz9rxL;
 Sat,  5 Jun 2021 03:47:25 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 5/6] gnu: Add python-mdit-py-plugins.
Date: Sat,  5 Jun 2021 01:46:54 +0000
Message-Id: <20210605014655.18459-5-monego@HIDDEN>
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-mdit-py-plugins): New variable.
---
 gnu/packages/python-xyz.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index fd7b1dd5f1..d357a92474 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7150,6 +7150,43 @@ plugins.  Features:
 @end itemize")
     (license license:expat)))
 
+(define-public python-mdit-py-plugins
+  (package
+    (name "python-mdit-py-plugins")
+    (version "0.2.8")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/mdit-py-plugins")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0pq7cgzwb1gcbsdpdp51r3l6mnjdxc4hbfmwk6dy30pfa1lj6x1i"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-markdown-it-py" ,python-markdown-it-py)))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/mdit-py-plugins")
+    (synopsis "Collection of plugins for markdown-it-py")
+    (description
+     "Collection of plugins for markdown-it-py.")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:34 2021
Received: from localhost ([127.0.0.1]:48114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPS-0007ox-0h
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:34 -0400
Received: from mout01.posteo.de ([185.67.36.65]:48419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPP-0007o2-W7
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:32 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id CD98E240026
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:25 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857645; bh=f5Ax5Yh66fEz3tnbzWQrFXybGroD+/xEjhQ4057KiWs=;
 h=From:To:Cc:Subject:Date:From;
 b=NpLOMJ5IBmnWR0/8w3WxaCQEcv9Q6lxwoDMIm9gP03vI3Nt4z885fB8BymSKDjUUs
 SdtgyuX2tYtCF8MYVt5AmiAXy/RFFXSuinGJwpN49i0W2dfagEeKBk4ov9EYpYX0T9
 3ptz+FTN0yS/ktkoTD4L9I3wjzorPzFoodguSGjp5O1tqIjmcpxKeofXejTxU+iK9V
 0sfZo51t86Rn/bf7QJSQxTIv1HghUAaetREGeZbBm8Nh5/rNzdlYVJ+GwZLGlJuZut
 lRFDfUgr9DCzM3iefssw1A46dOC9jQn4iVntFzlw+YR/v3GuOE1DMcOgf23DYKdcOg
 DZfmF0MbFK0xA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDr2C3fz9rxB;
 Sat,  5 Jun 2021 03:47:24 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 4/6] gnu: Add python-markdown-it-py.
Date: Sat,  5 Jun 2021 01:46:53 +0000
Message-Id: <20210605014655.18459-4-monego@HIDDEN>
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-markdown-it-py): New variable.
---
 gnu/packages/python-xyz.scm | 51 +++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 89717975ee..fd7b1dd5f1 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7099,6 +7099,57 @@ for the @code{linkify-it-py} project needs.")
      "This is a Python port of @code{linkify-it}.")
     (license license:expat)))
 
+(define-public python-markdown-it-py
+  (package
+    (name "python-markdown-it-py")
+    (version "1.1.0")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/executablebooks/markdown-it-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0h7rn3rcqfwmnqs97qczwkw9w5g4df8bgn6sw7k149svfqgrkf56"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-attrs" ,python-attrs)
+       ("python-typing-extensions"
+        ,python-typing-extensions)))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-linkify-it-py" ,python-linkify-it-py)
+       ("python-psutil" ,python-psutil)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-benchmark"
+        ,python-pytest-benchmark)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-regressions"
+        ,python-pytest-regressions)))
+    (home-page "https://github.com/executablebooks/markdown-it-py")
+    (synopsis "Python port of markdown-it")
+    (description
+     "This is a Python port of @code{markdown-it}, and some of its associated
+plugins.  Features:
+
+@itemize
+@item Follows the CommonMark spec for baseline parsing.
+@item Configurable syntax: Add new rules and even replace existing ones.
+@item Pluggable: Adds syntax extensions to extend the parser.
+@item Safe by default.
+@end itemize")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:32 2021
Received: from localhost ([127.0.0.1]:48110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPP-0007oe-MV
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:31 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPN-0007o0-MV
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:30 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 0B80B2400E5
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:24 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857644; bh=CBTt5HE98vEeILMTnefeUTlc9CLFO9G+3zSgKoM+B6A=;
 h=From:To:Cc:Subject:Date:From;
 b=JDdhF0QvqMBlIH9l7YqBHaSay/FW686y3Fzlp8abcEtihQ3QFj6IH0tA10HLupgO7
 uC9GJ6k40sEwUkopP1gwGICiC4aBWN7NbxGz8xkaoFJM7LgoEjN4IPA8TIQTJlE27Y
 vfcTQ/IS3sgJI0HUPwxfpozX/RNmtJ36qlaFcZlav4RrC9ldlF98dfTRn+moO+aEH3
 9aXXflyGudWwQrHDjaxbR8i4E11rb/wVDv3slJ3tsA4DbyiceLnTFKQUlX4Hl05cfp
 YqMnfll+T0P08nATUQ5X/+08SMP9enAWAn2e8ib0J2GjXQxIOsUfbiZr5RaZMOEbaI
 lcyTOK4J4pX6w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDp4VZsz9rxL;
 Sat,  5 Jun 2021 03:47:22 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 3/6] gnu: Add python-linkify-it-py.
Date: Sat,  5 Jun 2021 01:46:52 +0000
Message-Id: <20210605014655.18459-3-monego@HIDDEN>
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-linkify-it-py, python-uc-micro-py): New variables.
---
 gnu/packages/python-xyz.scm | 72 +++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d978942402..89717975ee 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7027,6 +7027,78 @@ cluster without needing to write any wrapper code yourself.")
 (define-public python2-gridmap
   (package-with-python2 python-gridmap))
 
+(define python-uc-micro-py
+  (package
+    (name "python-uc-micro-py")
+    (version "1.0.1")
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/tsutsu3/uc.micro-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "17f55gi55rg47nm88fn3f8851ph03dgykdp011lxr3j6hk18lyfv"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/tsutsu3/uc.micro-py")
+    (synopsis "Micro subset of unicode data files for linkify-it-py projects")
+    (description
+     "This is a Python port of @code{uc.micro}.  This package content is only
+for the @code{linkify-it-py} project needs.")
+    (license license:expat)))
+
+(define-public python-linkify-it-py
+  (package
+    (name "python-linkify-it-py")
+    (version (package-version python-uc-micro-py))
+    (source
+     (origin
+       ;; There are no tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/tsutsu3/linkify-it-py")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "00r4sxgvlxkm5k2jwvrsxgzcccfkfzd0knypbcig5almisg7bpl1"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-uc-micro-py" ,python-uc-micro-py)))
+    (native-inputs
+     `(("python-black" ,python-black)
+       ("python-coverage" ,python-coverage)
+       ("python-flake8" ,python-flake8)
+       ("python-isort" ,python-isort)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/tsutsu3/linkify-it-py")
+    (synopsis "Links recognition library with full unicode support")
+    (description
+     "This is a Python port of @code{linkify-it}.")
+    (license license:expat)))
+
 (define-public python-honcho
   (package
     (name "python-honcho")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:30 2021
Received: from localhost ([127.0.0.1]:48108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPO-0007oW-Dy
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:30 -0400
Received: from mout02.posteo.de ([185.67.36.66]:39041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPL-0007nx-WF
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5ACA72400E5
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857642; bh=woUFfJXEzvjLsWfeyRBVjHnbrvD/68/oPj4CdR9T9Lw=;
 h=From:To:Cc:Subject:Date:From;
 b=mbc0FFx0KfUkLD78TX7Icd5UW7UFLZY24r9KPx5pElxDdsWo5YDcfa3lN/ypvdNm4
 qzS62N3lOFwa6J+5DF0l0Fcds2Kqj2pn5em4I8k7u9qf2mlULAZV6Gk42ipvEzuAD1
 ovZHuYgnQpwm0p+OorqCDalkPhPmKbeWtjRFXNrdLkiXrj/oVuesXar+Ah79Slzi5A
 2/eKRAQ5MSSbANIN4OjCCoV9G3d4lqS9Fzc9FvkX4sC21A6eFKckQGauNhYjKnUrPV
 UTZMtDGr/nJGNkLvtYOrRA42cHUcS9frv1QOwx7rSXTKQxSr05AjaOSTrhuPfRZjSf
 Lmr5BQ/XW4nvg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDn0sMSz9rxB;
 Sat,  5 Jun 2021 03:47:20 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 2/6] gnu: Add python-pytest-regressions.
Date: Sat,  5 Jun 2021 01:46:51 +0000
Message-Id: <20210605014655.18459-2-monego@HIDDEN>
In-Reply-To: <20210605014655.18459-1-monego@HIDDEN>
References: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-check.scm (python-pytest-regressions): New variable.
---
 gnu/packages/python-check.scm | 43 +++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index abcbb6d805..19e9766229 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -35,9 +35,11 @@
   #:use-module (gnu packages django)
   #:use-module (gnu packages openstack)
   #:use-module (gnu packages python-build)
+  #:use-module (gnu packages python-science)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages sphinx)
   #:use-module (gnu packages web)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -912,6 +914,47 @@ for the @code{pytest} framework.")
      "Pytest plugin for test data directories and files.")
     (license license:expat)))
 
+(define-public python-pytest-regressions
+  (package
+    (name "python-pytest-regressions")
+    (version "2.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-regressions" version))
+       (sha256
+        (base32 "05jpsvv8rj8i4x24fphpnar5dl4s6d6bw6ikjk5d8v96rdviz9qm"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest"
+                       ;; DeprecrationWarning.
+                       "-k" "not test_image_regression")))))))
+    (propagated-inputs
+     `(("python-pytest-datadir" ,python-pytest-datadir)
+       ("python-pyyaml" ,python-pyyaml)))
+    (native-inputs
+     `(("python-matplotlib" ,python-matplotlib)
+       ("python-numpy" ,python-numpy)
+       ("python-pandas" ,python-pandas)
+       ("python-pillow" ,python-pillow)
+       ("python-pytest" ,python-pytest)
+       ("python-restructuredtext-lint"
+        ,python-restructuredtext-lint)
+       ("python-setuptools-scm" ,python-setuptools-scm)))
+    (home-page "https://github.com/ESSS/pytest-regressions")
+    (synopsis "Easy to use fixtures to write regression tests")
+    (description
+     "This Pytest plugin makes it simple to test general data, images, files,
+and numeric tables by saving expected data in a data directory that can be
+used to verify that future runs produce the same data.")
+    (license license:expat)))
+
 (define-public python-pytest-benchmark
   (package
     (name "python-pytest-benchmark")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at 48842 <at> debbugs.gnu.org:


Received: (at 48842) by debbugs.gnu.org; 5 Jun 2021 01:47:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:47:28 2021
Received: from localhost ([127.0.0.1]:48104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLPM-0007oC-6U
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:28 -0400
Received: from mout02.posteo.de ([185.67.36.66]:49383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLPK-0007nv-Ou
 for 48842 <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:47:27 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 230792400E5
 for <48842 <at> debbugs.gnu.org>; Sat,  5 Jun 2021 03:47:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857641; bh=H+oAqebggxf5p7kFoI8LQjP02wlSD5LUyQaho8s3ADU=;
 h=From:To:Cc:Subject:Date:From;
 b=MRhiGT69CsWxLO5BiUh48In6W6nrvZQA6g3Yp4xLuQ8mvgEMgTwDnh3vX3K5j4KDS
 YnZzsaKg3+RvE9mQzXTIKCEFPGkOr6LcEQMlt3OM9Tl1U0iAEjWfhGt8YRriW5xINn
 0nbN+UAnGL3ZZBxUoIxGzxv4KaCWCY4zCHTIyDfMGdH+oD6UwW+r6EzTY2K/n0lMDY
 iH3Lx/D4VJjWgKERiMNGkCLKFsQNe9Gc2Mj3gDP2uGZSCwxd0XTZ9swzpDqqyunYHu
 wjMLwYwNYLvARwr77dMm6El3uQgR/GruOPe1Bp2oCqpU6mRS0NZ35Bw01iIxkqnS/B
 RGRmF87VpUQQA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjDl39y0z9rxB;
 Sat,  5 Jun 2021 03:47:18 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 48842 <at> debbugs.gnu.org
Subject: [PATCH 1/6] gnu: Add python-pytest-datadir.
Date: Sat,  5 Jun 2021 01:46:50 +0000
Message-Id: <20210605014655.18459-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48842
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-check.scm (python-pytest-datadir): New variable.
---
 gnu/packages/python-check.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 1206dda5c4..abcbb6d805 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -882,6 +882,36 @@ framework.")
 for the @code{pytest} framework.")
     (license license:expat)))
 
+(define-public python-pytest-datadir
+  (package
+    (name "python-pytest-datadir")
+    (version "1.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-datadir" version))
+       (sha256
+        (base32 "066bg6wlzgq2pqnjp73dfrcmk8951xw3aqcxa3p1axgqimrixbyk"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (propagated-inputs
+     `(("python-pathlib2" ,python-pathlib2)))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-setuptools-scm" ,python-setuptools-scm)))
+    (home-page "https://github.com/gabrielcnr/pytest-datadir")
+    (synopsis "Pytest plugin for test data directories and files")
+    (description
+     "Pytest plugin for test data directories and files.")
+    (license license:expat)))
+
 (define-public python-pytest-benchmark
   (package
     (name "python-pytest-benchmark")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2021 01:45:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 21:45:42 2021
Received: from localhost ([127.0.0.1]:48099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpLNd-0007ky-S5
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:45:42 -0400
Received: from lists.gnu.org ([209.51.188.17]:48218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1lpLNb-0007kn-1g
 for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 21:45:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52020)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1lpLNa-0002zN-Ov
 for guix-patches@HIDDEN; Fri, 04 Jun 2021 21:45:38 -0400
Received: from mout02.posteo.de ([185.67.36.66]:56723)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1lpLNY-0003nb-Cw
 for guix-patches@HIDDEN; Fri, 04 Jun 2021 21:45:38 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 589D52400FC
 for <guix-patches@HIDDEN>; Sat,  5 Jun 2021 03:45:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1622857531; bh=weAvBoq3eOuEscFqvYR6U4iEGdmzsVQCh8TMQAn1wRI=;
 h=From:To:Cc:Subject:Date:From;
 b=k77RhfJo6ZJMSy52zziA+nGxqICZUtFRgOgEF8+e3EtFb73XbtE/kP1MgsukRgSRv
 h/9nZdlgXnYagnAgs4P1bTyZ3/I603yX5b8jWO7+tBL9D122wRHmzUnfGNTnAkj8Ee
 NcSoV0nU3JaW8tYvrbj/HI0JSOSmpWnN/6n2t0IcTCHQBHz68vfnLB6JVysaCX1RVf
 dsVlgAbi8QO39EAtS85Dr9WQSzto7ycP4ngzKjTsZGipTntl+0gite1Vl5CVQEoUk/
 lziHYoQJJE3yMuKYMx09wBJKx/B+v6BKNGyaywZ/NAlvTav3A3AGjjHoTLgAR0VUxk
 NCQqPGUGvWyqA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FxjBd5cYzz6tmF;
 Sat,  5 Jun 2021 03:45:29 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/6] gnu: Add python-myst-parser.
Date: Sat,  5 Jun 2021 01:45:17 +0000
Message-Id: <20210605014517.18212-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.66; envelope-from=monego@HIDDEN;
 helo=mout02.posteo.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Vinicius Monego (6):
  gnu: Add python-pytest-datadir.
  gnu: Add python-pytest-regressions.
  gnu: Add python-linkify-it-py.
  gnu: Add python-markdown-it-py.
  gnu: Add python-mdit-py-plugins.
  gnu: Add python-myst-parser.

 gnu/packages/python-check.scm |  73 ++++++++++++++++
 gnu/packages/python-xyz.scm   | 160 ++++++++++++++++++++++++++++++++++
 gnu/packages/sphinx.scm       |  53 +++++++++++
 3 files changed, 286 insertions(+)

-- 
2.31.1





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48842; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 7 Jun 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.